Bug 672918 - LMMS with PulseAudio sets system output volume to 100% on startup
Summary: LMMS with PulseAudio sets system output volume to 100% on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lmms
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-26 17:32 UTC by Stian Ellingsen
Modified: 2011-02-25 08:22 UTC (History)
1 user (show)

Fixed In Version: lmms-0.4.10-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-25 08:22:11 UTC


Attachments (Terms of Use)

Description Stian Ellingsen 2011-01-26 17:32:27 UTC
Description of problem:
When starting LMMS with PulseAudio selected as the audio interface, LMMS sets the global/system output volume (which affects all aplications) to 100%. This is very unpleasant and potentially dangerous.

Version-Release number of selected component (if applicable):
lmms-0.4.9-1.fc14.i686

How reproducible:
Always

Steps to Reproduce:
1. In LMMS, go to Edit → Settings → Audio settings and make sure PulseAudio is selected as the audio interface.
2. Press OK and quit LMMS.
3. Set the system output volume to e.g. 25%.
4. Restart LMMS.

Actual results:
The system output volume jumps to 100%.

Expected results:
The system output volume should stay at its old value (in this case 25%).

Comment 1 Thomas Moschny 2011-02-06 10:56:57 UTC
Discussed with upstream, we have a patch now. I will add the patch to the upcoming 0.4.10 package.

Comment 2 Fedora Update System 2011-02-10 22:45:13 UTC
lmms-0.4.10-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lmms-0.4.10-2.fc14

Comment 3 Fedora Update System 2011-02-10 22:48:55 UTC
lmms-0.4.10-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lmms-0.4.10-2.fc13

Comment 4 Fedora Update System 2011-02-13 08:51:22 UTC
lmms-0.4.10-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lmms'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lmms-0.4.10-2.fc13

Comment 5 Fedora Update System 2011-02-25 08:22:06 UTC
lmms-0.4.10-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-02-25 08:22:18 UTC
lmms-0.4.10-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.